package com.qmth.teachcloud.obe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.obe.been.result.ObeCourseRequirementListResult;
import com.qmth.teachcloud.obe.entity.ObeCourseRequirementReport;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 课程毕业要求报表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2024-06-13
 */
public interface ObeCourseRequirementReportMapper extends BaseMapper<ObeCourseRequirementReport> {

    /**
     * 查找课程毕业达成度报表列表
     *
     * @param iPage              分页参数
     * @param professionalId     专业id
     * @param cultureProgramName 培养方案名称
     * @param dpr                数据权限
     * @return 结果
     */
    IPage<ObeCourseRequirementListResult> obeCourseRequirementReportList(IPage<Map> iPage,
            @Param("professionalId") Long professionalId, @Param("cultureProgramName") String cultureProgramName,
            @Param("dpr") DataPermissionRule dpr);
}
